> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Lead Appointment: Entrata

PUT https://api.propexo.com/v1/events/appointments/leads/entrata/{event_id}
Content-Type: application/json

Update Lead Appointment: Entrata

| Method |
|---|
| leads/updateLeads |

Reference: https://docs.propexo.com/api-reference/entrata/appointments/update-lead-appointment-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `event_id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_events_appointments_leads_entrata_{event_id}_put_input.

- `notes` (string, required) — Notes associated with the event
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `appointment_date` (V1EventsAppointmentsLeadsEntrataEventIdPutInputAppointmentDate, optional) — The date when the appointment will occur
- `appointment_time` (string, optional) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.
- `appointment_duration_minutes` (integer, optional) — The duration of the appointment, in minutes
- `appointment_type` (enum, optional) — The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
  - Allowed values: `LEASING_APPOINTMENT`, `SELF_GUIDED_TOUR`, `TOUR`, `VIRTUAL_TOUR`
- `title` (string, optional) — The title associated with the event

## Response

### 200

Successful response

- `meta` (V1EventsAppointmentsLeadsEntrataEventIdPutOutputMeta, required)
- `result` (V1EventsAppointmentsLeadsEntrataEventIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsAppointmentsLeadsEntrataEventIdPutInputAppointmentDate

The date when the appointment will occur

### V1EventsAppointmentsLeadsEntrataEventIdPutOutputMeta

- `job_id` (string, required)

### V1EventsAppointmentsLeadsEntrataEventIdPutOutputResult

- `event_id` (string, required) — The Propexo unique identifier for the event
- `notes` (string, required) — Notes associated with the event
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `appointment_date` (V1EventsAppointmentsLeadsEntrataEventIdPutOutputResultAppointmentDate, optional) — The date when the appointment will occur
- `appointment_time` (string, optional) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.
- `appointment_duration_minutes` (integer, optional) — The duration of the appointment, in minutes
- `appointment_type` (enum, optional) — The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
  - Allowed values: `LEASING_APPOINTMENT`, `SELF_GUIDED_TOUR`, `TOUR`, `VIRTUAL_TOUR`
- `title` (string, optional) — The title associated with the event

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1EventsAppointmentsLeadsEntrataEventIdPutOutputResultAppointmentDate

The date when the appointment will occur

## Examples

**Request**

```json
{
  "notes": "Client prefers a morning appointment to discuss lease terms."
}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
  },
  "result": {
    "event_id": "evt-1234567890abcdef",
    "notes": "Client prefers a morning appointment to discuss lease terms.",
    "unit_id": "unit-0987654321fedcba",
    "appointment_date": "2024-01-15",
    "appointment_time": "09:30:00",
    "appointment_duration_minutes": 45,
    "appointment_type": "LEASING_APPOINTMENT",
    "title": "Lease Discussion with Prospective Tenant"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/appointments/leads/entrata/event_id"

payload = { "notes": "Client prefers a morning appointment to discuss lease terms." }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/appointments/leads/entrata/event_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"notes":"Client prefers a morning appointment to discuss lease terms."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/appointments/leads/entrata/event_id"

	payload := strings.NewReader("{\n  \"notes\": \"Client prefers a morning appointment to discuss lease terms.\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/appointments/leads/entrata/event_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notes\": \"Client prefers a morning appointment to discuss lease terms.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/events/appointments/leads/entrata/event_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notes\": \"Client prefers a morning appointment to discuss lease terms.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/events/appointments/leads/entrata/event_id', [
  'body' => '{
  "notes": "Client prefers a morning appointment to discuss lease terms."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/appointments/leads/entrata/event_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notes\": \"Client prefers a morning appointment to discuss lease terms.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["notes": "Client prefers a morning appointment to discuss lease terms."] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/leads/entrata/event_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```